<template>
	<view class="content">
		<form @submit="add">
			
			<navigator url="bank" class="list ft28 box-pack-between bgf flex-y-center border-b">
				<text>银行</text>
				<view class="flex-center">
					<text>{{bank}}</text>
					<text class="iconfont icongengduo"></text>
				</view>
			</navigator>

			<view class="list ft28 box-pack-between bgf flex-y-center border-b">
				<text>姓名</text>
				<input class="tr flex-grow-1" name="card_name" type="text"  placeholder="请输入名字" value="" placeholder-class="placeholder-class" />
			</view>

			<view class="list ft28 box-pack-between bgf flex-y-center border-b">
				<text>银行卡号</text>
				<input class="tr flex-grow-1" name="card_num" type="number" placeholder="请填写正确的银行卡号" value="" placeholder-class="placeholder-class" />
			</view>

			<view class="list ft28 box-pack-between bgf flex-y-center border-b">
				<text>银行预留手机号</text>
				<input class="tr flex-grow-1" name="bank_tel"  
				type="number" maxlength="11" placeholder="请填写正确的预留手机号" value="" placeholder-class="placeholder-class" />
			</view>

			<view class="desc">
				预防提现失败，请填写正确的信息！
			</view>
			
			<view class="hg100px">

			</view>
			<button class="login-btn flex-center" formType="submit">立即添加</button>
		</form>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				list: [],
				page: 1,
				bank: "",
			}
		},
		onReachBottom(e) {
			// this.http()
		},

		onLoad(e) {
			// this.http();
		},

		onShow() {
			this.bank = uni.getStorageSync("bank-name") || "";
		},

		onShareAppMessage(e) {

		},

		methods: {
			add(e) {
				let data = e.detail.value;
				data.bank_name = this.bank;
				data.token = uni.getStorageSync("token");
				this.request({
					url: "Advertiser/addcard",
					data,
				}).then(res => {
					console.log(res, "res")
					if (res.code === '200') {
						uni.showToast({
							title: "提交成功"
						})
						setTimeout(()=>{
							uni.navigateBack({
								delta:1
							})
						},2000)

						
					}
				}).catch((res)=>{
					uni.showToast({
						title: res.message,
						icon:"none"
					})
				});
			}
		}
	}
</script>

<style lang="scss">
		@import url("@/static/css/header.css");
	.list {
		width: 100%;
		height: 100rpx;
		padding: 0 30rpx;
	}

	.login-btn {
		width: 630rpx;
		height: 90rpx;
		background: linear-gradient(132deg, #3387FF 0%, #3387FF 100%);
		box-shadow: 0px 2rpx 12rpx #3387FF;
		
		opacity: 1;
		border-radius: 45rpx;
		margin: 0 auto;
		color: #FFFFFF;
		font-size: 30rpx;
		font-family: Source Han Sans CN;
		font-weight: 500;
		opacity: 1;
	}

	.desc {
		width: 100%;
		padding: 0 30rpx;
		font-size: 24rpx;
		font-weight: 400;
		line-height: 33px;
		color: rgba(153, 153, 153, 1);
		opacity: 1;
		margin-top: 30rpx;
	}.hg100px{
		height: 100rpx;
	}
</style>
